Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::text_node::font_style_exposedfield Class Reference

Inheritance diagram for openvrml::vrml97_node::text_node::font_style_exposedfield:

[legend]
List of all members.

## Detailed Description

fontStyle exposedField implementation.

For internal use only.

## Public Member Functions
| font_style_exposedfield (text_node &node)
| Construct.
virtual | ~font_style_exposedfield () throw ()
| Destroy.
virtual void | event_side_effect (const sfnode &font_style, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::text_node::font_style_exposedfield::font_style_exposedfield | ( | text_node & | node | ) | `[explicit]`

  | Construct. Parameters:
  | node | text_node.

openvrml::vrml97_node::text_node::font_style_exposedfield::~font_style_exposedfield | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::text_node::font_style_exposedfield::event_side_effect | ( | const sfnode & | font_style,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[virtual]`

  | Process event. Parameters:
  | font_style | text strings.
  | timestamp | the current time.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.